Download a file of a note by its public link
GET
/api/v1/public/notes/{token}/attachments/{attachmentId}
const url = 'https://api.yggy.tech/api/v1/public/notes/example/attachments/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/public/notes/example/attachments/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” token
required
string
attachmentId
required
string
Responses
Section titled “ Responses ”The file
Media type application/octet-stream
string format: binary
Note not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Too many requests
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}